"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpTopic_1 = require("../helpTopic");
var LanguagesCommand = /** @class */ (function () {
    function LanguagesCommand(languages) {
        this.name = 'languages';
        this.description = 'shows languages';
        this.languages = languages;
        this.helpTopic = new helpTopic_1.HelpTopic(this, {
            synopsis: 'languages [-l]',
            options: {
                '-l': 'List all languages in which the level is -l'
            },
            examples: [
                {
                    cmd: 'languages -l proficient',
                    description: 'The following command shows all languages in which the level is proficient'
                }
            ]
        });
    }
    LanguagesCommand.prototype.run = function (args) {
        var data = this.languages;
        if (args.l) {
            data = data.filter(function (l) { return l.level === args.l; });
        }
        return data;
    };
    return LanguagesCommand;
}());
exports.LanguagesCommand = LanguagesCommand;
//# sourceMappingURL=LanguagesCommand.js.map