"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpTopic_1 = require("../helpTopic");
var PublicationsCommand = /** @class */ (function () {
    function PublicationsCommand(publications) {
        this.name = 'publications';
        this.description = 'shows publications';
        this.publications = publications;
        this.helpTopic = new helpTopic_1.HelpTopic(this, {
            synopsis: 'publications [-y]',
            options: {
                '-y': 'List all publications released in the -y year'
            },
            examples: [
                {
                    cmd: 'publications -y 2018',
                    description: 'The following command shows all publications released in the 2018 year'
                }
            ]
        });
    }
    PublicationsCommand.prototype.run = function (args) {
        var data = this.publications;
        if (args.y) {
            data = data.filter(function (p) { return p.releaseYear <= args.y; });
        }
        return data;
    };
    return PublicationsCommand;
}());
exports.PublicationsCommand = PublicationsCommand;
//# sourceMappingURL=PublicationsCommand.js.map