"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("events");
var cli_1 = require("./cli");
var command_1 = require("./cli/command");
var resume_1 = require("./resume");
var Bashme = /** @class */ (function (_super) {
    __extends(Bashme, _super);
    function Bashme(debugMode) {
        if (debugMode === void 0) { debugMode = false; }
        var _this = _super.call(this) || this;
        _this.resume = new resume_1.Resume();
        _this.cli = new cli_1.Cli();
        _this.cli.on('command', function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            return _this.emit.apply(_this, ['command'].concat(args));
        });
        if (debugMode) {
            _this.cli.register(new command_1.DebugCommand());
        }
        return _this;
    }
    Bashme.prototype.use = function (infoProvider) {
        var _this = this;
        infoProvider.fill(this.resume);
        infoProvider.getCommands().forEach(function (command) { return _this.cli.register(command); });
        return this;
    };
    Bashme.prototype.show = function (domElement) {
        this.cli.show(domElement);
    };
    return Bashme;
}(events_1.EventEmitter));
exports.default = Bashme;
__export(require("./resume/providers"));
//# sourceMappingURL=index.js.map